org.apache.lucene.facet.taxonomy

## Class FastTaxonomyFacetCounts

- java.lang.Object
- - org.apache.lucene.facet.Facets
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacets
    - - org.apache.lucene.facet.taxonomy.IntTaxonomyFacets
      - - org.apache.lucene.facet.taxonomy.FastTaxonomyFacetCounts

    public class FastTaxonomyFacetCounts
    extends IntTaxonomyFacets

Computes facets counts, assuming the default encoding into DocValues was used.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

`config, indexFieldName, parents, taxoReader`

### Constructor Summary

Constructors
Constructor and Description
`FastTaxonomyFacetCounts(String indexFieldName, IndexReader reader, TaxonomyReader taxoReader, FacetsConfig config)` Create `FastTaxonomyFacetCounts`, using the specified `indexFieldName` for ordinals, and counting all non-deleted documents in the index.
`FastTaxonomyFacetCounts(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)` Create `FastTaxonomyFacetCounts`, using the specified `indexFieldName` for ordinals.
`FastTaxonomyFacetCounts(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)` Create `FastTaxonomyFacetCounts`, which also counts all facet labels.

### Method Summary

### Methods inherited from class org.apache.lucene.facet.taxonomy.IntTaxonomyFacets

`getSpecificValue, getTopChildren, increment, increment, rollup, useHashTable`

### Methods inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

`childrenLoaded, getAllDims, getChildren, getSiblings, siblingsLoaded, verifyDim`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FastTaxonomyFacetCounts

    public FastTaxonomyFacetCounts(TaxonomyReader taxoReader,
                                   FacetsConfig config,
                                   FacetsCollector fc)
                            throws IOException

Create `FastTaxonomyFacetCounts`, which also counts all facet labels.

Throws:
  `IOException`

#### FastTaxonomyFacetCounts

    public FastTaxonomyFacetCounts(String indexFieldName,
                                   TaxonomyReader taxoReader,
                                   FacetsConfig config,
                                   FacetsCollector fc)
                            throws IOException

Create `FastTaxonomyFacetCounts`, using the specified `indexFieldName` for ordinals. Use this if you had set `FacetsConfig.setIndexFieldName(java.lang.String, java.lang.String)` to change the index field name for certain dimensions.

Throws:
  `IOException`

#### FastTaxonomyFacetCounts

    public FastTaxonomyFacetCounts(String indexFieldName,
                                   IndexReader reader,
                                   TaxonomyReader taxoReader,
                                   FacetsConfig config)
                            throws IOException

Create `FastTaxonomyFacetCounts`, using the specified `indexFieldName` for ordinals, and counting all non-deleted documents in the index. This is the same result as searching on `MatchAllDocsQuery`, but faster

Throws:
  `IOException`